local _create_characters_original = CriminalsManager._create_characters

function CriminalsManager:_create_characters(...)
	_create_characters_original(self, ...)
	
	local ai_mask_table = {
		american = "hoxton",
		german = "wolf",
		russian = "dallas",
		spanish = "chains",
		jowi = "jw_shades",
		old_hoxton = "old_hoxton",
		female_1 = "msk_grizel",
		dragan = "dragan",
		jacket = "richard_returns",
		bonnie = "bonnie",
		sokol = "sokol",
		dragon = "jiro",
		bodhi = "bodhi",
		jimmy = "aviator"
	}
	
	for character, data in pairs(self._characters) do
		data.static_data.ai_mask_id = ai_mask_table[data.name] or data.static_data.ai_mask_id
	end
end